#include <tigcclib.h>

#define calc(x, y) (CALCULATOR ? y : x)

INT_HANDLER OldInt1;

DEFINE_INT_HANDLER(HideStatKeys)
{
	char buffer[5*30]; //the status indicators are five pixels tall

	memcpy(buffer, (char *)LCD_MEM + 30 * calc(100, 128) - 5 * 30, 5 * 30); /*copy five lines into the
	buffer, starting five lines up from the bottom.*/
	ExecuteHandler(OldInt1); //Let the AMS have its day in the sun
	memcpy((char *)LCD_MEM + 30 * calc(100, 128) - 5 * 30, buffer, 5 * 30); //copy the lines back
}

void _main(void)
{
	OldInt1 = GetIntVec(AUTO_INT_1);
	SetIntVec(AUTO_INT_1, HideStatKeys);

	ngetchx(); //make sure to press some meta keys here

	SetIntVec(AUTO_INT_1, OldInt1);
}
